namespace Horizon.Protocol.Enums
{
    public enum ServerConnectionErrorEnum
    {
        SERVER_CONNECTION_ERROR_DUE_TO_STATUS = 0,
        SERVER_CONNECTION_ERROR_NO_REASON = 1,
        SERVER_CONNECTION_ERROR_ACCOUNT_RESTRICTED = 2,
        SERVER_CONNECTION_ERROR_COMMUNITY_RESTRICTED = 3,
        SERVER_CONNECTION_ERROR_LOCATION_RESTRICTED = 4,
        SERVER_CONNECTION_ERROR_SUBSCRIBERS_ONLY = 5,
        SERVER_CONNECTION_ERROR_REGULAR_PLAYERS_ONLY = 6,
        SERVER_CONNECTION_ERROR_MONOACCOUNT_CANNOT_VERIFY = 7,
        SERVER_CONNECTION_ERROR_MONOACCOUNT_ONLY = 8,
        SERVER_CONNECTION_ERROR_SERVER_OVERLOAD = 9
    }
}